Skip to main content
GET
/
api
/
v1
/
paymentrequests
/
{requestId}
Get Payment Request
curl --request GET \
  --url https://www.{baseurl}.com/api/v1/paymentrequests/{requestId}
{
  "id": "a1b2c3d4-5678-90ab-cdef-1234567890ab",
  "status": "Processing",
  "paymentReferenceNumber": "FLK-20260415-001"
}
Use this endpoint to check on the status of a payment request by providing the requestId of a previously generated payment. To successfully call this endpoint, you must first call the /Authorize endpoint to obtain a valid access_token.

Get the status of a payment request

In order to check on the status of a payment request and confirm that it has been completed, you are able to re-call the /PaymentRequests endpoint—but rather than submitting the creation of a new request, you will use GET to retrieve the status of a previously created request.

Polling Recommendation

If implemented, it is recommended that you are able to poll this endpoint every 30 seconds until you receive an update in the status field. However, it is highly recommended to use Events as detailed in the quick start guide in order to provide the user the best experience on the front-end.
Once authenticated, you can provide the previously generated requestId of a payment transaction to receive an update on the current status of the given transaction. The API will return with this status (see below for currently supported statuses) as well as the ReferenceId provided upon generation of a session. Finally, it also includes the original PaymentLink that was generated for the given transaction, this can be used to represent the link to the user if it is still in an ‘initiated’ state.

Payment status

Please find all the available statuses and descriptions below:
STATUSDESCRIPTION
InitiatedRequest for payment has been received and is ready for processing by the end user.
ProcessingUser is processing the transaction and the transaction is ready to be filled.
AcceptedUser has accepted the payment request at their Financial Institution and the funds flow has started. Funds are guaranteed at this stage.
ProcessedFlinks has processed the transaction and is awaiting settlement on your account.
SettledPayment request has successfully completed and fund transfer has been initiated to your account.
CancelledPayment was cancelled before being initiated.
ExpiredEnd user did not action the payment request and the request has expired. You will need to initiate a new request if necessary.
DeclinedEnd user has declined the payment request at their Financial Institution.
FailedPayment request has failed.
failed_name_matchingReturned in the ‘StatusDetails’ field. Indicates that the reason for the failure was due to the name submitted during the creation of the session and the name returned from the ExternalFI did not match, and as such the transaction has failed. No funds have been moved, you can create a new session with an adjusted correct name as appropriate.

Path Parameters

requestId
string<uuid>
required

The payment request identifier.

Query Parameters

institutionId
integer

Filter by financial institution ID.

refreshStatus
boolean
default:false

When true, fetches the latest status from the payment network before responding.

Response

Payment request retrieved successfully

id
string<uuid>

Payment request identifier.

Example:

"a1b2c3d4-5678-90ab-cdef-1234567890ab"

status
enum<string>

Current payment status.

Available options:
Initiated,
Processing,
Accepted,
Processed,
Settled,
Cancelled
Example:

"Processing"

paymentReferenceNumber
string

Flinks-assigned payment reference number.

Example:

"FLK-20260415-001"